有没有关于PHP8 使用需要更新的依赖的情况

mylovehx

我这边特意找了个闲置的服务器测试 workerman 4.0 使用 php8.0 版本,event 3.0.5 ,发现各种奇怪的问题,尤其是任务进程经常被卡在tcp 发送状态下有或者Warning: EventBase::loop(): Failed to invoke event callback in之类的情况。看着官网首页写着 PHP8 ,我一直没敢怀疑是workerman兼容性问题,所以希望有在用php版本的朋友指点迷津。

阅读 400
2个回答

MarkGo

不用event 模式就正常了。

  • 暂无评论
chenzifan

昨日更新了event 3.0.6 可以试一试